Subject: Re: can't access PCIe card under sbc8548

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 31 May 2013 20:00:04 +1000

On Thu, 2013-05-30 at 11:24 -0500, Scott Wood wrote:
> ioremap() and out_bex/in_bex are not appropriate for PCI I/O regions  
> (and presumably that's what it is, if pci_iomap is calling  
> ioport_map).  Big-endian is not appropriate for PCI in any case.
> 
> The whole point of pci_iomap() appears to be that the driver doesn't  
> need to care whether it's MMIO or PIO, and can use ioread/writeX on the  
> resulting cookie.  If PPC is messing this up it's not the driver's  
> fault.

We are not messing this up and it should work.

Cheers,
Ben.